NuTest Help

NuTest Program Help

 Top Next

The Nu-Ware website is at:

http://www.Nu-Ware.com

Support Email and other contact addresses for Nu-Ware are at:

http://www.nu-ware.com/contact2.php

Overview

Paying for NuTest

How to

Controls and settings


Overview

 Top Previous Next

NuTest is designed to help you prepare for all classes of US amateur radio licenses. If you can consistently get good grades when taking the on-screen and printed tests then you will almost certainly fly through the real tests !

All tests produced by the program use questions and answers taken from the FCC (Federal Communications Commission) question pools. Printed practice examinations can also be generated. These have a format very similar to the FCC examinations administered by the VEC (Volunteer Examiner Coordinator) system.

Unique to NuTest.

NuTest is not just a drilling program, it is also a training course that supplies you with background information on every single question in the FCC question pools. Background information includes math references, electronics and practical circuit theory, the full text of the Part 97 FCC rules governing amateur radio in the US and much more.

This wealth of useful information is provided in the form of easy to access help topics. Every single question in each question pool has an associated explanation. Just click on the Explain button for some background information and useful tips on the currently displayed question. For an in-depth understanding of the Part 97 rules just click the Part 97 button and the paragraphs relevant to the currently displayed question will be displayed.

Of special note is an option that allows you to answer different pool questions each time you take an onscreen test, see the preferences page for more details.

Read about the NuTest companion program NuMorse Pro


Paying for NuTest

NuTest is not free software. This copy has been entrusted to you so that you can decide if it suits your needs. If you find it useful then you must purchase the right to use it. After you purchase a code you will have full access to the question pools as selected during the order process. Any reminder screens or other program limits will also be removed.

Example prices (Feb 2007) other price options including CDROM prices will be found on the Nu-Ware and other ordering sites.

NuTest, per license class | $15.95 | Keycode delivery by email.
NuTest, all license classes | $34.95 | Keycode delivery by email.
NuTest plus NuMorse Pro | $54.95 | Keycode delivery by email.

Notes:

1) Nu-Ware reserves the right to change prices when necessary

2) A CDROM is available, check with Nu-Ware for availability and price.

Your code will be sent by email or on a CDROM via postal mail together with keycode. Depending on your choice of payment processor, your license code could arrive immediately.

Secure order via Nu-Ware:

http://www.nu-ware.com/NuTest/ntreg.htm

Email and other contact addresses for Nu-Ware are at:

http://www.nu-ware.com/contact2.php

Read about the NuTest companion program NuMorse Pro


How to

Practice for the real test

Customize a test

Install your license key

Get practice with difficult questions


Controls and settings

Select the main sections of the program by clicking on the labelled notebook tabs along the bottom. There are some supplementary help buttons that give access to important reference materials that will help you with your studies. These help buttons are below the notebook tabs.

Program sections via notebook tabs:

Tests

Progress

Preferences

Print

Question pool

License


Tests

This is the main testing page. The top window contains a question from the appropriate FCC question pool and three options are presented in the other text windows. To select an option use any one of the following methods:

· Click on one of the answers.

· Press keys 'A' - 'C'

· Click on one of the options buttons.

Your current score and how well you answered the currently displayed question is shown in the white area at the bottom of the NuTest window.

The Question area. The question text appears here. If there is too much text to fit in the area then NuTest will either add a scroll bar or shrink the text size to fit depending on options on the Preferences page. The color of the text and background is adjustable by setting options on the preferences page.

The Option areas. Select the correct answer from the text shown in the option areas. There are controls on the preferences page for adjusting the text and background color as well as options for handling text that will not fit. You can select the correct option by mouse clicking on the appropriate option. In some operating modes the correct option is shown in a different color. Also, if auto review is enabled then the left-hand side of one option will be highlighted to show your most recent selection for this question. After you have selected an option the program may indicate your score and move to the next question, depending on settings on the preferences page.

The Question indicator. This shows the question designator. Every question in the question pool has a unique designator. The question indicator also shows the position of the currently displayed question.

The New Test button creates a new test if NuTest is set to generate tests. If NuTest is set up to browse the entire question pool or to create custom tests then this button has no effect. See the Question Pool page for details of browsing and custom tests.

The Store Results button saves your performance and other details for later review in the Progress window. It also stores details of incorrectly answered questions in the “missed” list. Later, you can use this list to generate custom tests containing questions that you found difficult. See the Question pool page for details of how to generate custom tests. This button duplicates the function of the Add Current button in the Progress page.

The License Class display is just a confirmation of which types of questions are being used.

The Option buttons can be used to select your required option, in some program modes the correct option is indicated by highlighting one of the button letters in red.

The Browsing/Score indicator shows if a test has been generated or if the whole question pool is being displayed. If you are browsing the whole question pool then it is still possible to select options and the scoring system will work as usual. You could treat the whole question pool as one huge test if you wished.

The Explain button is a major program feature. This is your gateway into explanations and comments on every question. Numerous snippets of background information are included among the explain topics. A help topic relevant to the current question will be displayed when you click this button.

Another source of background information is the FCC Part 97 button. You may see this button flash red when you are moving through the test. This indicates that there is some information in the FCC Part 97 rules that is relevant to the current question. Click on this button to display the Part 97 document at a point close to the relevant information.

The Navigation keys allow you to move forward and backward through the test or question pool. You can move a whole section at a time or just by one question at a time.

You can also navigate using the keyboard, here are the keys:

Home | First question
End | Last question
PageUp | Previous question
PageDown | Next question
Shift+PageUp | Previous section
Shift+PageDown | Next section


Progress

On this page you can log and graph your progress in each exam class. Entries in the progress log are automatically saved to a log file. You may add a test result, remove a test result or clear the entire log by clicking on the buttons. Questions with incorrect results (called “missed questions”) are also recorded for future use.

The Record Exam Results box is where you specify when NuTest should record your scores and missed questions. Note that this feature is only active if there is any score to record, you must have a score greater than 0 for it to work.

Always record. This automatically records your score and missed questions for the previously completed test whenever you click on the New Exam button on the Test page.

Ask before recording. If this option is set NuTest asks you to confirm before adding your most recent score and missed questions to the score log.

Click ‘Add Current’. The Add current button saves your performance and other details for later review in the Progress window. It also stores details of incorrectly answered questions in the “missed” list. Later, you can use this list to generate custom tests containing questions that you found difficult. See the Question pool and Questions answered correctly pages for details of how to generate custom tests. This button duplicates the function of the Store results button in the Tests page.

The Graph area shows a barchart representation of your previous scores. Differently colored bars on the chart indicate different license classes.

As you move your mouse over the results barchart a results summary is displayed to the right of the chart. For a more detailed view of an individual log entry click on one of the bars.

The Clear all, Clear selected and Add current buttons allow you to edit the chart if required. If you have the Click ‘Add Current’ option set then it is especially important to use the Add current button after each test if you want to record your scores and maintain the “Missed questions” list.

The Score area is a duplicate of the score shown on the test page.


Preferences

This page allows you to configure the NuTest program to suit your own preferred style of learning. Most of the controls affect the way that the Test page objects behave.

Select question pool group.

There are some small green checkmarks and/or red crosses in the Select question pool group group. A check mark indicates that the option is accessible while a red check indicates that it is not accessible. Access is determined by your personal keycode, obtainable from Nu-Ware.

Trial, limited question selection. If this option is checked then you have access to a small number of questions from the Technician pool and the program is running in trial mode to allow you to evaluate it prior to purchasing a keycode.

Technician, General or Extra. You may select an option if there is a green check symbol next to it. This allows you to take on-screen and printed tests and browse the entire question pool for the selected license class.

Show correct option. This allows you to set when the correct option is revealed after you have made your choice. “Before” is a “cheat mode” that shows you the correct option before you select it. “After selection” gives you immediate feedback as soon as you make a choice. “Don’t show” is more like a real test where you don’t get to see how well you did until you have finished.

Use sounds. If checked then some sounds will be issued during tests to let you know if you made a correct choice or not. When the minimum pass grade is reached a special sound is emitted, by default this is the Windows Fanfare sound.

ShowHints. This switches the program hint system on or off.

Give feedback. During tests you can be whether you made a correct choice or not as you progress through the test. If this option is checked.

For some test features you will need the program to pause before moving on to the next question. The Pause after selection option allows pauses and pause length to be adjusted.

Auto review. If this option is checked then your choices for each question are recorded and displayed on screen. At any time during the test you can move backwards and check your selections and alter them.

Show score. If checked a running score is displayed as you progress through the test. A score is kept internally even if it is not displayed.

Keep help open. You can select to automatically close the Explain help topic each time you move to the next question, or you can keep the Explanation window open through the entire test.

The Display diagrams option lets you disable diagram display when taking an on screen test. You might use this if you already have printed copy of the diagrams.

The Appearance group allows you to set text size and color of various items on the test page.

Size. This determines the maximum size of the text that will appear in the question and option areas on the test page.

Shrink text to fit. Some options and questions have too much text to fit inside the space allocated. If this option is checked then the text will be shrunk down until it fits. If the Scroll text option is checked then scroll bars will appear of the text cannot fit and you will need to scroll to hidden areas into view.

Colors/choose color. This option allows you to choose colors for the text and background of the Question and Option areas on the test page.

Option selected. If checked then, after an optional delay, Nutest will move to the next question after you select an option.

Correct option selected. NuTest will only move on if you selected the correct option.

Don’t move. You will have to manually move to another question using the Navigation buttons.

The Part 97 Auto show option causes the FCC Part 97 rules to pop up if relevant. The paragraph appropriate to the current question is displayed.


Print

The print page allows printing of FCC style tests.

There are two possible Grading sheet styles. The standard style allows an examiner to check students responses in the traditional way. The Overlay template style allows for production of a transparent overlay grading template that can be superimposed over the students answer sheet for easier marking.

The Increment serial number group determines when and how the serial number should be incremented. This serial number appears at the top of all printed sheets generated by NuTest.

If Manual is checked then the serial number must always be adjusted manually before each test is printed.

The other serial number options automatically increment the serial number when various conditions are met.

The Items to print group allows you to select exactly what sheets of a test set should be printed.

The Diagram placement group should help you get the printed diagram pages presented correctly on a variety of printers. If the diagrams are too large then reduce the values in this group. If they are too small then increase the values.

The Edit group allows you to manually edit some of the test sheets. Here are the sheets that can be edited. Facing sheet, add your own test as required. Note that part of the Students answer sheet will be printed automatically by NuTest. Take care not to fill up the page with your own typing. The same caveat applies to the Tutors grading sheet

The General print options group has a few miscellaneous options. The Include question designators allows NuTest to include Question pool designators as well as the question numbers on printed sheets. The Text wrap width gives you some extra control over the printed text format. You can also select fonts and font sizes for various items that appear on the test pages.

The Size control in the Diagram placement group allows printed diagram sizes to be customized when printed.

The Print a test button immediately starts printing a test. It is generally better to use the Print preview feature first to check on the test layout. The test can then be printed from inside the Print Preview page.

The Print Tables button prints out certain supplementary tables that are referred to in some of the tests. You are given an opportunity to preview them before printing.

New test. This button has the same function as the New Test button on the test pages.

The Serial number can be incremented automatically under program control or it can be edited manually.


Question pool

The Source for xxx class questions tabs allow you to construct tests in different ways. Here is how they work:

Question Pool. This is the default option to use for generating tests for practice purposes. The default is to use one question from each question pool topic group. This gives the correct number of questions in tests for each of the license classes. See the Contents of question pool topic for further details on customizing tests.

Questions answered correctly is an option that causes correctly answered questions to be temporarily de-activated so they are not used again in tests until you reset the feature. This means you will quickly get to see and answer all of the questions in the selected question pool. See the Questions answered correctly help topic for further details.

Question List file. This option allows you to construct a test using specific questions from a list. You can edit the question lists and save them to files for future use. If this option is selected then the exact questions on the current list will be used. Although we don’t advise it, you can mix license classes within a question list but only those questions in the currently selected question pool will be used in a test.

Browse all. This option allows you to view all of the questions in a question pool as if they were one large test.

Lockouts. This button gives access to the lockout list. Questions on this list will never be used for creating tests, regardless of other program settings. This feature is useful when questions are withdrawn by the FCC/ARRL VEC.

Contents of question pool. This window gives a view of the entire question pool and can also be used to customize tests. See the Contents of question pool topic for further details on customizing tests.


NuMorse Pro

NuMorse Professional is a code trainer that has everything. A free trial is available from: The Nu-Ware website at: http://www.Nu-Ware.com

It normally sells for $34.95 but you get big discounts if you order it alongside NuTest.

Complete beginners...

If your aim is to learn the code then the First Steps feature of NuMorse Pro is a good place to start. This is a series of lessons that will help you learn the Morse code characters. When you have worked your way through the lessons the other features of NuMorse Pro will then help you build up your speed in preparation for your code test.

There is also a “fun” feature that simulates code transmissions from the past. Set up NuMorse Pro to sound like a 1930’s spark transmitter and get it to send “SOS de Titanic” a few times. The result is spine tingling! Who says that learning Morse code has to be boring??

You know the code but want to brush up your skills...

The NuMorse Pro Code Play feature gives you access to the many features designed to get you up to speed. Of particular value are the QSO and Call sign generators which allow you to hear code that is similar to code you would hear on the amateur bands. In fact, NuMorse Pro can even add some QSB and QRN for a touch of extra realism!

Users of NuMorse 1.x...

NuMorse Professional bears a superficial resemblance to the well established NuMorse program, but don’t be fooled. It is a completely rewritten program with many important enhancements and new features.

Code instructors...

I have included a Written tests feature that will allow students to administer self-tests. I hope this will act as a confidence booster. You may find that the Written Test feature could be used for administering code tests.


Practice for the real test

Go to the Question pool page and make sure that the Question Pool tab is selected.

Go to the Preferences page and check the following settings. Make sure that the Select question pool option is selected for the license class you need.

Basic settings for a test to assess whether you are ready for the real test:

Show correct option. | Don’t show.
Move to next question. | Option Selected
Use sounds | Unchecked
Give feedback | Unchecked
Pause after selection | Unchecked
Show Score during exam | Unchecked
Display diagrams | Checked

Now go to the test page and click on New test. You are ready to begin.

For “Cheat mode” while you are learning check the following:

Show correct option. | Before selection.
Move to next question. | Option Selected
Use sounds | Unchecked
Give feedback | checked
Pause after selection | checked
Show Score during exam | checked
Display diagrams | Checked

If you want some clarification on a particular question then click the Explain button.

For even more realistic test practice go to the Print Page and print out a test plus grading sheets.


Customize a test

There are two ways to customise tests.

Use a question list.

This method allows you to select exactly which questions will appear on the test. There is no random selection. You first need to build a list:

1 | Select the Question Pool page, then the Question list tab..
2 | Click on the Select button. A File Open dialog will be shown and any qfl (Question List File) files will be displayed. Select an existing qlf file or type in the name for a new one.
3 | Now click on Edit. and add/remove questions as required. The list will automatically be saved.
4 | Now go to the Tests page and click on New test. Your selected questions will be presented.

Edit the question pool settings.

This method allows you to limit the type of questions set in tests to specific areas of the question pool so that you can concentrate your studies on them.

1 | Select the question pool page.
2 | Click on the small + and – buttons in the Contents of question pool window to expand and collapse sections of the pool. To prevent a section from being used in the tests you right click on an item. To re-enable the item you right click again. Disabled items have a cross while enabled items have a check mark.
3 | Make sure that the Create tests based on selected subelements tab is selected. Now go to the Tests page and click on New test.

For further details see Contents of question pool

Using this method you can enable/disable subelements, groups and individual questions. Random selection will still take place within the limits you have set.

In the real tests one item is selected from each topic group. You can produce tests which vary from this standard format by changing the Use up to NN questions setting on the Question pool page.

For example, here is how you would create a custom 35-question test based on the FCC commissions rules:

1 | Deselect Subelements E2 to E9.
2 | Set the Use up to NN questions number to 5
3 | Confirm that the Total questions in test figure is 35.
4 | Make sure that the Create tests based on selected subelements option is selected. Now go to the Tests page and click on New test.


License

Entering a license key will convert the trial version into the licensed version, which will give access to all questions in your required license classes.

This is the page where you install a license key. For information on obtaining a key please see the

Paying for NuTest help topic. Your key will arrive in the form of an email. To install the key follow these three simple steps:

1) Select all of the email containing your code (Use Ctrl+A)

2) Copy the email (Use Ctrl+C)

3) Start up NuTest if it is not already started.

Job done! NuTest will find the code and install it. You will need to shut down and restart NuTest for your license key to become effective.

You can purchase a key for a single license class (you choose the class when you order) or a key for all license classes. If you already have a single class and later upgrade to a higher license class then the key for the new class is automatically combined with the older one. Please store your license information in a safe place. If you have several keys for different classes then you will need to re-enter them all if you need to re-install NuTest on a different machine or hard drive. After entering your key please be sure to go to the preferences page and select your required license class from the list at top left.


Questions answered correctly

Once a question has been answered correctly it will be temporarily de-activated so it will not appear again. This option is switched on or off in the Preferences section of NuTest.

When all of the questions in a group are "used up" you will be given the option to reset the group to make the questions available in tests again. If you want to reset the group before all questions are seen then you can click on the "All" button at bottom left of the Question Pool page or click on the Edit Groups correctly answered button. See also Contents of question pool for activating and de-activating individual questions, groups and sections of a question pool.


Contents of question pool

This control has two functions:

1) Information on the current question pool.

As you left click on items the pane to the right of the question pool contents displays information on the selected item. The displayed information depends on the item that is clicked. Available information includes the ARRL preamble that is included at the start of each pool and details of sub-element and group topics. Numbers of questions per topic and other details are also displayed. Many of the pool items can be expanded to view further details, right down to details of individual questions. Left click on a + button to expand an item and on a '-' button to minimize it.

A small icon adjacent to the item indicates if the item is active, inactive or locked out:

SmallGreenCheck Item is active and will be used in tests.

SmallRedCross item is inactive and will not be used.

Lockshut Item is locked out and will never be used in tests.

Note: The Questions answered correctly feature operates by activating and deactivating items in this control.

2) Customization of the current question pool.

Items can be activated or inactivated by right mouse clicking on them. Items can be sub-elements, groups or individual questions. This you great flexibility in producing custom tests. For example, you could limit the questions to the ‘Commissions Rules’ section and use up to three questions from each group in this section to generate custom tests containing a total of 27 questions all about Part 97 Rules.

The SmallDoubleCheck button activates all of the items in the question pool (except locked out questions). This is an alternative way to the Groups correctly answered edit button to reset the reset the Questions answered correctly feature.


Explain button

This is a major feature of NuTest alongside the Part 97 button . Unlike other simple drilling programs NuTest offers technical background information on every single question in the question pools. This is actually a learning by association process which is a far more effective way of learning than simple rote learning or memorizing of correct options.

Whenever you want information on why a particular option is correct then click the explain button. A comment will then pop up. Depending on the context, this may be a simple memory jogger or it may be an in-depth explanation of the theory behind the question with references to other sources of information. The Preferences section has several options which control when and how the Explain pop-up operates. You can choose to have it pop up after every question or only when you click on the explain button.


Part 97 button

This is a second major feature of NuTest alongside the Explain feature. Unlike other simple drilling programs, NuTest offers background information on those questions referring to the FCC Part 97 rules governing amateur radio. If the Part 97 Rules are relevant to a question then the Part 97 button will flash red. Click the button to pop-up the relevant paragraphs of the Part 97 rules. If you wish, you can choose for the Part 97 pop-up to automatically appear whenever the Rules are relevant to the question. There is an option in the preferences section for this.


Formula button

Much of the math and circuit theory is covered in the Explain pop-ups. This button gives access to a supplementary list of math formula and other hints and tips that may be helpful, especially for study of the Extra Class pool. Topics covered include Ohms law, power calculations, simple circuits and other background information that may help in understanding of the more technical questions.


Groups correctly answered

 Top Previous

If you have been using the Questions answered correctly feature then eventually all of the unseen questions will be "used up" and this window will automatically open. You can also open it manually by clicking on the edit control next the the Questions answered correctly option.

You can remove groups from this list. If you do so then all of the questions in the group will be used again in tests. If you cancel the window then tests will be available but will not contain the default number of questions and the "seen" topics will not be present. This feature works by temporarily de-activating questions and so an alternative way to remove questions from the "seen" list is via the Contents of question pool feature.